using System.IO;
using System;

namespace Snarf
{
	class Snarf
	{
		public static void Main(string[] args)
		{
			if (args.Length == 0) {
				Console.WriteLine("Creating file index cache...");			
				string[] files = Directory.GetFiles("/home/paul", "*.txt", SearchOption.AllDirectories);
				File.WriteAllLines("filecache.snarf", files);
				Console.WriteLine("File index cache created!");
			} else {
				Console.WriteLine("Searching for '" + args[0] + "':");
				string[] cache = File.ReadAllLines("filecache.snarf");
				
				int numfilesfound = 0;
				
				foreach(string file in cache) {
					if (file.Contains(args[0])) {
						++numfilesfound;
						Console.WriteLine("Found " + file + ":");
						Console.WriteLine(File.ReadAllText(file));
					}
				}
				
				if (numfilesfound == 0) {
					Console.WriteLine("No matching files found.");
				}
			}
		}
	}
}